Revoke agent access as test customer
curl --request POST \
--url https://api.sandbox.natural.com/simulations/customers/{customerId}/agents/{agentId}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.sandbox.natural.com/simulations/customers/{customerId}/agents/{agentId}/revoke"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.natural.com/simulations/customers/{customerId}/agents/{agentId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "customer",
"id": "pty_7c9e6679e29b41d4a716446655440001",
"attributes": {
"name": "Brightside Labs",
"email": null,
"avatarUrl": null,
"createdAt": "2026-01-04T15:30:00.000Z",
"delegation": {
"id": "dlg_550e8400e29b41d4a716446655440010",
"status": "ACTIVE",
"permissions": [
"payments.create",
"payments.read"
],
"createdAt": "2026-01-04T15:30:00.000Z",
"revokedAt": null
},
"agents": [
{
"id": "agt_550e8400e29b41d4a716446655440000",
"name": "Invoice Agent",
"handle": null,
"status": "ACTIVE",
"permissions": [
"payments.create",
"payments.read"
],
"limits": null
}
]
}
},
"meta": {
"deleted": true
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"defined": true,
"code": "SANDBOX_NOT_READY",
"status": 408,
"message": "The sandbox fixture could not complete this action yet. Retry with the same Idempotency-Key.",
"data": {
"reason": "SANDBOX_NOT_READY"
}
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "422",
"source": {
"pointer": "/data/attributes/email"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Simulations
Sandbox: Revoke Connect access
Remove an agent’s access to a test customer, acting as the customer
POST
/
simulations
/
customers
/
{customerId}
/
agents
/
{agentId}
/
revoke
Revoke agent access as test customer
Ends an agent’s access to a Connect customer, acting as the customer who granted it.
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Unique key for safely retrying a request without creating duplicates.
Maximum string length:
255Deprecated: agent identity comes from the credential. Sending this header with a party API key or user credential returns 403 agent_credential_required.
Maximum string length:
36Pattern:
^agt_[0-9a-f]{32}$Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Path Parameters
Customer party ID (pty_*).
Pattern:
^pty_[0-9a-f]{32}$Agent ID (agt_*).
Pattern:
^agt_[0-9a-f]{32}$Response
Successful Response
- CustomerResponse
- CustomerAgentRevokeResponse
Customer connection, including revoked connections when requested.
Show child attributes
Show child attributes
Was this page helpful?
⌘I